<template>
  <q-item>
    <q-item-section side>
      <q-icon name="las la-minus" />
    </q-item-section>
    <q-item-section>
      <q-item-label v-if="title">
        <span class="text-subtitle2 q-mr-xs">
          {{ title }}
        </span>
        <q-btn
          v-if="url"
          :href="url"
          target="_blank"
          icon="la la-external-link"
          flat
          dense
          size="xs"
          color="primary"
        />
      </q-item-label>
      <q-item-label>
        <span class="text-body2 q-mr-xs">
          {{ content }}
        </span>
        <q-btn
          v-if="url && !title"
          :href="url"
          target="_blank"
          icon="la la-external-link"
          flat
          dense
          size="xs"
          color="primary"
        />
      </q-item-label>
    </q-item-section>
  </q-item>
</template>

<script>
export default {
  name: 'NitrogenWarningListItem',
  props: {
    title: {
      type: String,
      default: null
    },
    content: {
      type: String,
      required: true
    },
    url: {
      type: String,
      default: null
    }
  }
}
</script>
